"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactstrap = require("reactstrap");
var hideLabelsFor = {
  "addRuleGroup": true,
  "delRuleGroup": true,
  "delRule": true
};
var typeToColor = {
  addRule: "primary",
  addGroup: "primary",
  delGroup: "danger",
  delRuleGroup: "danger",
  delRule: "danger"
};
var _default = function _default(props) {
  var type = props.type,
    label = props.label,
    onClick = props.onClick,
    renderIcon = props.renderIcon,
    readonly = props.readonly;
  var iconProps = {
    type: type,
    readonly: readonly
  };
  var Icon = (renderIcon === null || renderIcon === void 0 ? void 0 : renderIcon(iconProps)) || null;
  var isOnlyIcon = hideLabelsFor[type] || !label;
  if (!onClick) {
    return Icon;
  } else {
    return /*#__PURE__*/_react["default"].createElement(_reactstrap.Button, {
      size: "sm",
      color: typeToColor[type],
      onClick: onClick
    }, Icon, !isOnlyIcon && label);
  }
};
exports["default"] = _default;