import React from "react";
import { Button } from "reactstrap";
var hideLabelsFor = {
  "addRuleGroup": true,
  "delRuleGroup": true,
  "delRule": true
};
var typeToColor = {
  addRule: "primary",
  addGroup: "primary",
  delGroup: "danger",
  delRuleGroup: "danger",
  delRule: "danger"
};
export default (function (props) {
  var type = props.type,
    label = props.label,
    onClick = props.onClick,
    renderIcon = props.renderIcon,
    readonly = props.readonly;
  var iconProps = {
    type: type,
    readonly: readonly
  };
  var Icon = (renderIcon === null || renderIcon === void 0 ? void 0 : renderIcon(iconProps)) || null;
  var isOnlyIcon = hideLabelsFor[type] || !label;
  if (!onClick) {
    return Icon;
  } else {
    return /*#__PURE__*/React.createElement(Button, {
      size: "sm",
      color: typeToColor[type],
      onClick: onClick
    }, Icon, !isOnlyIcon && label);
  }
});